Skip to main content
GET
/
trading
/
providers
/
{providerId}
TypeScript
const response: Promise<FireblocksResponse<TradingProvider>> = fireblocks.tradingBeta.getTradingProviderById(tradingBetaApiGetTradingProviderByIdRequest);
{
  "id": "BRIDGE",
  "name": "Bridge",
  "logo": "https://example.com/logos/bridge.png",
  "accountBased": true,
  "manifest": {
    "order": {
      "supported": true,
      "executionTypes": [
        "MARKET"
      ],
      "settlementTypes": [
        "DVP"
      ]
    },
    "quote": {
      "supported": false
    },
    "rate": {
      "supported": true
    }
  },
  "connected": true,
  "accounts": [
    {
      "id": "acc_5e9a2d1c4b7f3e8a",
      "name": "Main Trading Account"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

providerId
string
required

The unique identifier of the provider.

Minimum string length: 1

Response

Single provider details.

Provider integrated via Fireblocks connected accounts (accountBased is true).

id
string
required

Unique identifier for the provider

name
string
required

Display name of the provider

accountBased
boolean
required

Indicates whether the provider access model is through accounts or directly

manifest
object
required

The manifest of the provider, describing its supported order, quote, and rate requirements.

Example:
{
"order": {
"supported": true,
"executionTypes": ["MARKET", "QUOTE"],
"settlementTypes": ["DVP"]
},
"quote": {
"supported": true,
"settlementTypes": ["DVP"]
},
"rate": { "supported": true },
"participantsIdentificationPolicy": {
"supportedEndpoints": ["ORDER", "QUOTE"],
"defaultSchema": "{\"$schema\":\"http://json-schema.org/draft-07/schema#\",\"type\":\"object\",\"required\":[\"originator\",\"beneficiary\"],\"properties\":{\"originator\":{\"type\":\"object\",\"required\":[\"entityType\"],\"oneOf\":[{\"properties\":{\"entityType\":{\"const\":\"INDIVIDUAL\"},\"fullName\":{\"type\":\"object\",\"required\":[\"firstName\",\"lastName\"],\"properties\":{\"firstName\":{\"type\":\"string\"},\"lastName\":{\"type\":\"string\"}}},\"email\":{\"type\":\"string\",\"format\":\"email\"}},\"required\":[\"entityType\",\"fullName\",\"email\"]},{\"properties\":{\"entityType\":{\"const\":\"BUSINESS\"},\"businessName\":{\"type\":\"string\"},\"email\":{\"type\":\"string\",\"format\":\"email\"}},\"required\":[\"entityType\",\"businessName\",\"email\"]}]},\"beneficiary\":{\"type\":\"object\",\"required\":[\"entityType\"],\"oneOf\":[{\"properties\":{\"entityType\":{\"const\":\"INDIVIDUAL\"},\"fullName\":{\"type\":\"object\",\"required\":[\"firstName\",\"lastName\"],\"properties\":{\"firstName\":{\"type\":\"string\"},\"lastName\":{\"type\":\"string\"}}}},\"required\":[\"entityType\",\"fullName\"]},{\"properties\":{\"entityType\":{\"const\":\"BUSINESS\"},\"businessName\":{\"type\":\"string\"}},\"required\":[\"entityType\",\"businessName\"]}]}}}"
}
}
connected
boolean
required

Whether the provider is currently connected.

accounts
object[]
required

URL to the logo image of the provider